ci: Bump to f28, except flatpak

We successfully switched to F28 in rpm-ostree. Time to follow suit here.
We exclude flatpak for now since we're still hitting test issues there
on F28.

Closes: #1601
Approved by: cgwalters
This commit is contained in:
Jonathan Lebon 2018-05-28 15:21:19 -04:00 committed by Atomic Bot
parent f6e4543a24
commit 0f124e2584
5 changed files with 37 additions and 32 deletions

View File

@ -4,15 +4,15 @@ branches:
- auto
- try
context: FAH27-insttests
context: FAH28-insttests
required: true
container:
image: registry.fedoraproject.org/fedora:27
image: registry.fedoraproject.org/fedora:28
kvm: true
tests:
- ci/fah27-insttests.sh
- ci/fah28-insttests.sh
artifacts:
- tests/installed/artifacts/
@ -27,8 +27,8 @@ branches:
- try
required: true
container:
image: registry.fedoraproject.org/fedora:27
context: f27-primary
image: registry.fedoraproject.org/fedora:28
context: f28-primary
env:
# We only use -Werror=maybe-uninitialized here with a "fixed" toolchain
CFLAGS: '-fsanitize=undefined -fsanitize-undefined-trap-on-error -fsanitize=address -O2 -Wp,-D_FORTIFY_SOURCE=2'
@ -51,10 +51,10 @@ artifacts:
---
# And now the contexts below here are variant container builds
context: f27-rust
context: f28-rust
inherit: true
container:
image: registry.fedoraproject.org/fedora:27
image: registry.fedoraproject.org/fedora:28
env:
CONFIGOPTS: '--enable-rust'
CI_PKGS: cargo
@ -65,10 +65,10 @@ tests:
---
context: f27-gnutls
context: f28-gnutls
inherit: true
container:
image: registry.fedoraproject.org/fedora:27
image: registry.fedoraproject.org/fedora:28
env:
CONFIGOPTS: '--with-crypto=gnutls'
CI_PKGS: pkgconfig(gnutls)
@ -81,7 +81,7 @@ tests:
inherit: true
context: f27-experimental-api
context: f28-experimental-api
env:
CONFIGOPTS: '--enable-experimental-api'
@ -92,7 +92,7 @@ tests:
inherit: true
context: f27-minimal
context: f28-minimal
env:
CONFIGOPTS: '--without-curl --without-soup --disable-gtk-doc --disable-man
--disable-rust --without-libarchive --without-selinux --without-smack
@ -107,7 +107,7 @@ tests:
inherit: true
required: true
context: f27-libsoup
context: f28-libsoup
env:
CONFIGOPTS: "--without-curl --without-openssl --with-libsoup"
@ -120,7 +120,7 @@ tests:
inherit: true
required: true
context: f27-introspection-tests
context: f28-introspection-tests
env:
# ASAN conflicts with introspection testing;

View File

@ -4,20 +4,20 @@ branches:
- auto
- try
context: FAH27-insttests
context: FAH28-insttests
required: true
# FIXME; temporary workaround
# https://github.com/ostreedev/ostree/pull/1513#issuecomment-378784162
host:
distro: fedora/27/atomic
distro: fedora/28/atomic
specs:
ram: 4096
#container:
# image: registry.fedoraproject.org/fedora:27
# image: registry.fedoraproject.org/fedora:28
tests:
- docker run --device /dev/kvm --rm -v $(pwd):/srv/code:z registry.fedoraproject.org/fedora:27 /bin/sh -c "cd /srv/code && ./ci/fah27-insttests.sh"
- docker run --device /dev/kvm --rm -v $(pwd):/srv/code:z registry.fedoraproject.org/fedora:28 /bin/sh -c "cd /srv/code && ./ci/fah28-insttests.sh"
artifacts:
- tests/installed/artifacts/
@ -32,8 +32,8 @@ branches:
- try
required: true
container:
image: registry.fedoraproject.org/fedora:27
context: f27-primary
image: registry.fedoraproject.org/fedora:28
context: f28-primary
env:
# We only use -Werror=maybe-uninitialized here with a "fixed" toolchain
CFLAGS: '-fsanitize=undefined -fsanitize-undefined-trap-on-error -fsanitize=address -O2 -Wp,-D_FORTIFY_SOURCE=2'
@ -56,10 +56,10 @@ artifacts:
---
# And now the contexts below here are variant container builds
context: f27-rust
context: f28-rust
inherit: true
container:
image: registry.fedoraproject.org/fedora:27
image: registry.fedoraproject.org/fedora:28
env:
CONFIGOPTS: '--enable-rust'
CI_PKGS: cargo
@ -70,10 +70,10 @@ tests:
---
context: f27-gnutls
context: f28-gnutls
inherit: true
container:
image: registry.fedoraproject.org/fedora:27
image: registry.fedoraproject.org/fedora:28
env:
CONFIGOPTS: '--with-crypto=gnutls'
CI_PKGS: pkgconfig(gnutls)
@ -86,7 +86,7 @@ tests:
inherit: true
context: f27-experimental-api
context: f28-experimental-api
env:
CONFIGOPTS: '--enable-experimental-api'
@ -97,7 +97,7 @@ tests:
inherit: true
context: f27-minimal
context: f28-minimal
env:
CONFIGOPTS: '--without-curl --without-soup --disable-gtk-doc --disable-man
--disable-rust --without-libarchive --without-selinux --without-smack
@ -112,7 +112,7 @@ tests:
inherit: true
required: true
context: f27-libsoup
context: f28-libsoup
env:
CONFIGOPTS: "--without-curl --without-openssl --with-libsoup"
@ -125,7 +125,7 @@ tests:
inherit: true
required: true
context: f27-introspection-tests
context: f28-introspection-tests
env:
# ASAN conflicts with introspection testing;
@ -172,15 +172,15 @@ branches:
- auto
- try
context: f27-rpmostree
context: f28-rpmostree
required: true
cluster:
hosts:
- name: vmcheck
distro: fedora/27/atomic
distro: fedora/28/atomic
container:
image: registry.fedoraproject.org/fedora:27
image: registry.fedoraproject.org/fedora:28
env:
HOSTS: vmcheck

View File

@ -22,11 +22,15 @@ make install
# job than gcc for vars with cleanups; perhaps in the future these could
# parallelize
if test -x /usr/bin/clang; then
if grep -q -e 'static inline.*_GLIB_AUTOPTR_LIST_FUNC_NAME' /usr/include/glib-2.0/glib/gmacros.h; then
echo 'Skipping clang check, see https://bugzilla.gnome.org/show_bug.cgi?id=796346'
else
# Except for clang-4.0: error: argument unused during compilation: '-specs=/usr/lib/rpm/redhat/redhat-hardened-cc1' [-Werror,-Wunused-command-line-argument]
export CFLAGS="-Wall -Werror -Wno-error=unused-command-line-argument ${CFLAGS:-}"
git clean -dfx && git submodule foreach git clean -dfx
export CC=clang
build
fi
fi
copy_out_gdtr_artifacts() {

View File

@ -6,7 +6,7 @@ set -xeuo pipefail
# Frozen to a tag for now to help predictability; it's
# also useful to test building *older* versions since
# that must work.
RPMOSTREE_TAG=v2017.11
RPMOSTREE_TAG=v2018.5
dn=$(dirname $0)
. ${dn}/libpaprci/libbuild.sh
@ -21,7 +21,7 @@ pkg_install rpm-ostree && rpm -e rpm-ostree
# Duplicate of deps from build.sh in rpm-ostree for tests
pkg_install ostree{,-devel,-grub2} createrepo_c /usr/bin/jq PyYAML \
libubsan libasan libtsan elfutils fuse sudo python-gobject-base \
selinux-policy-devel selinux-policy-targeted
selinux-policy-devel selinux-policy-targeted openssh-clients ansible
# This one is in the papr.yml
pkg_install rsync
@ -38,6 +38,7 @@ build
# We want to capture automake results
cleanup() {
mv test-suite.log ${codedir} || true
mv vmcheck ${codedir} || true
}
trap cleanup EXIT
make -j 8 check